Hello,
Forgotten your password? No problem, click on the link below to reset your password and access your Bitrot dashboard:
Set new password: {{returnUrl}}
If you have any questions, or you did not make a request to reset your password, please contact product-team@rocketmakers.net
